GuidesAPI Reference
API Reference

post

Update the details of an order. This should be called whenever the status of an order changes, or whenever any event occurs.

Query Params
string
required

The public key provided to you by Credit Key. This varies between staging and production environments.

string
required

The shared secret provided to you by Credit Key. This varies between staging and production environments.

Body Params
string
required

The unique order key generated by Credit Key for a Merchant order as returned by /begin_checkout.

string
required

The Order ID in the merchant's system. This shoud be the same order ID displayed to the end user; not the primary key from the database (if they are different). See the "Merchant Order ID" section of the Credit Key Implementation Guide for more information.

string

The status of the order in the merchant system.

cart_items
array of objects
cart_items
charges
object
required
shipping_address
object
Responses

401

Unauthorized. The public_key and/or shared_secret given are invalid.

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json